#ifndef XIMAGE_UTILS_HEADER_FILE_INCLUDED
#define XIMAGE_UTILS_HEADER_FILE_INCLUDED

unsigned long GetXImageDataSize( XImage* ximage );
XImage *CreateXImageBySample( XImage* ximage, unsigned int width, unsigned int height);
XImage *CreateXImageAndData(register Display *dpy,
			    register Visual *visual,
			    unsigned int depth,
			    int format,
			    int offset, /*How many pixels from the start of the data does the
					picture to be transmitted start?*/
			    unsigned int width,
			    unsigned int height );
			    
void Scale( Position *target, Position target_size, 
            Position src_start, Position src_end );
XImage *ScaleXImageToSize( XImage *src, Position width, Position height );
XImage *ScaleXImage( XImage *src, double scale_x, double scale_y);

#endif
